Ifsc Verification V2
curl --request GET \
--url https://production.deepvue.tech/v1/verification/ifsc-code \
--header 'Authorization: Bearer <token>' \
--header 'x-api-key: <api-key>'import requests
url = "https://production.deepvue.tech/v1/verification/ifsc-code"
headers = {
"Authorization": "Bearer <token>",
"x-api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'x-api-key': '<api-key>'}
};
fetch('https://production.deepvue.tech/v1/verification/ifsc-code', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://production.deepvue.tech/v1/verification/ifsc-code",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://production.deepvue.tech/v1/verification/ifsc-code"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://production.deepvue.tech/v1/verification/ifsc-code")
.header("Authorization", "Bearer <token>")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://production.deepvue.tech/v1/verification/ifsc-code")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"code": 200,
"timestamp": 1769445605613,
"transaction_id": "9c745fcea7424220a5b15ca0934baf77",
"sub_code": "SUCCESS",
"message": "IFSC verification successful",
"data": {
"bank": "KOTAK MAHINDRA BANK LIMITED",
"ifsc": "KKBK0000180",
"neft": "Live",
"imps": "Live",
"rtgs": "Live",
"upi": "Live",
"ft": "Not Live",
"micr": 110485040,
"nbin": 0,
"address": "GROUND FLOOR, H-1/A -16, SECTOR 63, NOIDA - 201301",
"city": "DELHI",
"state": "DELHI",
"branch": "NOIDA",
"ifscSubcode": "KKBK0",
"category": "",
"swiftCode": ""
}
}{
"detail": "Inactive client_id"
}{
"detail": "Not authenticated"
}{
"detail": "Not a valid token"
}{
"code": 404,
"timestamp": 1769449976488,
"transaction_id": "36cf8f3b04ba46caab8447e2e83045da",
"sub_code": "INVALID_INPUT",
"message": "IFSC not found. Try again with valid IFSC"
}{
"code": 422,
"timestamp": 1769449922043,
"transaction_id": "45e26edc196440d796bd98243f5dcd58",
"sub_code": "INVALID_INPUT",
"message": "Invalid IFSC. IFSC Code should contain 11 characters"
}{
"detail": "Internal Server Error"
}Bank Account
IFSC
IFSC code is a unique identifier for a bank branch. Businesses verify IFSC before performing penny-drop to ensure successful payouts.
Verify IFSC code and receive details of the bank branch associated with that IFSC Code.
IFSC Verification API helps verifying IFSC code against RBI’s IFSC Master and provide bank & branch details.
GET
/
v1
/
verification
/
ifsc-code
Ifsc Verification V2
curl --request GET \
--url https://production.deepvue.tech/v1/verification/ifsc-code \
--header 'Authorization: Bearer <token>' \
--header 'x-api-key: <api-key>'import requests
url = "https://production.deepvue.tech/v1/verification/ifsc-code"
headers = {
"Authorization": "Bearer <token>",
"x-api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'x-api-key': '<api-key>'}
};
fetch('https://production.deepvue.tech/v1/verification/ifsc-code', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://production.deepvue.tech/v1/verification/ifsc-code",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://production.deepvue.tech/v1/verification/ifsc-code"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://production.deepvue.tech/v1/verification/ifsc-code")
.header("Authorization", "Bearer <token>")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://production.deepvue.tech/v1/verification/ifsc-code")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"code": 200,
"timestamp": 1769445605613,
"transaction_id": "9c745fcea7424220a5b15ca0934baf77",
"sub_code": "SUCCESS",
"message": "IFSC verification successful",
"data": {
"bank": "KOTAK MAHINDRA BANK LIMITED",
"ifsc": "KKBK0000180",
"neft": "Live",
"imps": "Live",
"rtgs": "Live",
"upi": "Live",
"ft": "Not Live",
"micr": 110485040,
"nbin": 0,
"address": "GROUND FLOOR, H-1/A -16, SECTOR 63, NOIDA - 201301",
"city": "DELHI",
"state": "DELHI",
"branch": "NOIDA",
"ifscSubcode": "KKBK0",
"category": "",
"swiftCode": ""
}
}{
"detail": "Inactive client_id"
}{
"detail": "Not authenticated"
}{
"detail": "Not a valid token"
}{
"code": 404,
"timestamp": 1769449976488,
"transaction_id": "36cf8f3b04ba46caab8447e2e83045da",
"sub_code": "INVALID_INPUT",
"message": "IFSC not found. Try again with valid IFSC"
}{
"code": 422,
"timestamp": 1769449922043,
"transaction_id": "45e26edc196440d796bd98243f5dcd58",
"sub_code": "INVALID_INPUT",
"message": "Invalid IFSC. IFSC Code should contain 11 characters"
}{
"detail": "Internal Server Error"
}Authorizations
ACCESS_TOKEN generated from the authorize endpoint. Should be included in the header as Bearer .
The CLIENT_SECRET provided to you. This header parameter is required for authentication purposes.
Query Parameters
The IFSC code of the bank branch to be verified.